@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=block');

*,
*::before,
*::after {
    min-width: 0;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}



body {
    font-family: "Poppins", sans-serif;
}

.logo {
    font-size: 20px;
    color: white;
    font-weight: 800;
    user-select: none;
}

header {
    position: fixed;
    height: 75px;
    width: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1) ;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

header>nav {
    max-width: 1400px;
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

header>nav>ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
}

header>nav a {
    text-decoration: none;
}

header>nav>ul>li>a {
    color: white;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 14px;
}

.search>a {
    font-size: 16px;
    margin-left: 20px;
}

.hamburger {
    display: none;
}

.hamburger>a {
    display: flex;
    align-items: center;
    justify-content: center;

    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: rgba(115, 115, 115, 0.7);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.hamburger>a>.bar {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    width: 55%;
    height: 1.5px;
    border-radius: 2px;
    background-color: white;
}

.hamburger>a>.bar:before,
.hamburger>a>.bar:after {
    content: "";
    position: absolute;
    width: 75%;
    height: 100%;
    border-radius: 2px;
    background-color: white;
}

.hamburger>a>.bar:before {
    margin-top: 10px;
}

.hamburger>a>.bar:after {
    margin-bottom: 10px;
}

/* COOL STUFF */

main {
    height: 100dvh;
    width: 100%;
    overflow: hidden;
}

main>.wrapper {
    position: relative;
    height: 100%;
}
main>.wrapper>img,
main>.wrapper>.text {
    transition: 0.8s ease-out;
}

main>.wrapper>img {
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0;
    object-fit: cover;
    object-position: center bottom;
    pointer-events: none;
    user-select: none;
    transform-origin: center;
}

main>.wrapper>.text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transform-origin: center;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8vw;

    color: white;
    line-height: 0.6;
    font-size: 8vw;
    text-transform: uppercase;
}

main>.wrapper>.text>h2 {
    font-weight: 200;
}

main>.wrapper>.text>h1 {
    font-weight: 700;
}

.parallax {
    /* Tells the browser to use hardware acceleration (the GPU) for these elements */
    will-change: transform; 
}

/* section {
    height: 1000px;
    width: 100%;
} */

@media only screen and (max-width: 650px) {
    .hamburger {
        display: block;
    }

    header>nav>ul>li:not(.hamburger) {
        display: none;
    }

    main>.wrapper>img {
        pointer-events: all;
        user-select: auto;
    }
}